## python-testfixtures 9.2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   ?= sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

## python-testfixtures 4.13.3

=== debian/changelog ===
python-testfixtures (4.13.3-1) unstable; urgency=low

  * Initial release (Closes: #852783).

 -- Michael Fladischer <fladi@debian.org>  Thu, 26 Jan 2017 17:34:20 +0100

=== debian/control ===
Source: python-testfixtures
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-doc,
               python-manuel,
               python-mock,
               python-nose,
               python-setuptools,
               python-zope.component,
               python-zope.testrunner,
               python3-all,
               python3-doc,
               python3-manuel,
               python3-mock,
               python3-nose,
               python3-pkginfo,
               python3-setuptools,
               python3-sphinx,
               python3-zope.component,
               python3-zope.testrunner
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://github.com/Simplistix/testfixtures
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-testfixtures.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-testfixtures.git


Package: python-testfixtures
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Suggests: python-testfixtures-doc (= ${binary:Version})
Description: Collection of helpers and mock objects (Python2 version)
 TestFixtures is a collection of helpers and mock objects that are useful when
 writing unit tests or doc tests. It includes tools for a wide range of tasks:
 .
  * Comparing objects and sequences
  * Mocking out objects and methods
  * Mocking dates and times
  * Testing logging
  * Testing output to streams
  * Testing with files and directories
  * Testing exceptions
  * Testing warnings
  * Testing use of the subprocess package
  * Testing with zope.component
 .
 This package contains the Python 2 version of the library.


Package: python3-testfixtures
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-testfixtures-doc (= ${binary:Version})
Description: Collection of helpers and mock objects (Python3 version)
 TestFixtures is a collection of helpers and mock objects that are useful when
 writing unit tests or doc tests. It includes tools for a wide range of tasks:
 .
  * Comparing objects and sequences
  * Mocking out objects and methods
  * Mocking dates and times
  * Testing logging
  * Testing output to streams
  * Testing with files and directories
  * Testing exceptions
  * Testing warnings
  * Testing use of the subprocess package
  * Testing with zope.component
 .
 This package contains the Python 3 version of the library.


Package: python-testfixtures-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Collection of helpers and mock objects (Documentation)
 TestFixtures is a collection of helpers and mock objects that are useful when
 writing unit tests or doc tests. It includes tools for a wide range of tasks:
 .
  * Comparing objects and sequences
  * Mocking out objects and methods
  * Mocking dates and times
  * Testing logging
  * Testing output to streams
  * Testing with files and directories
  * Testing exceptions
  * Testing warnings
  * Testing use of the subprocess package
  * Testing with zope.component
 .
 This package contains the documentation.

## python-testfixtures 4.14.3

=== debian/changelog ===
python-testfixtures (4.14.3-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 16 Aug 2019 00:50:38 +0500

python-testfixtures (4.14.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Enable autopkgtest-pkg-python testsuite.
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/control: Remove ancient X-Python-Version field.
  * d/control: Remove ancient X-Python3-Version field.
  * Convert git repository from git-dpm to gbp layout.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.

  [ James Valleroy ]
  * Add patch to deal with the comma vanishing from repr in 3.7
    (Closes: #912184).
  * Update debhelper compat level to 11.
  * Change doc-base Index and Files to match file locations.
  * Standards-Version is 4.2.1 now (no changes needed).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 19 Dec 2018 11:21:01 +0100

python-testfixtures (4.14.3-1) unstable; urgency=low

  * New upstream release.
  * Add Django support to documentation and tests.

 -- Michael Fladischer <fladi@debian.org>  Wed, 31 May 2017 11:27:41 +0200

python-testfixtures (4.13.5-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Thu, 16 Mar 2017 12:00:41 +0100

python-testfixtures (4.13.4-1) unstable; urgency=low

  * New upstream release (Closes: #853912).
  * Remove unused lintian overrides.

 -- Michael Fladischer <fladi@debian.org>  Fri, 17 Feb 2017 11:20:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,10 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 11),
                dh-python,
-               python-all,
-               python-doc,
-               python-manuel,
-               python-mock,
-               python-nose,
-               python-setuptools,
-               python-zope.component,
-               python-zope.testrunner,
                python3-all,
+               python3-django,
                python3-doc,
                python3-manuel,
                python3-mock,
@@ -23,35 +16,11 @@
                python3-sphinx,
                python3-zope.component,
                python3-zope.testrunner
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+Standards-Version: 4.2.1
 Homepage: https://github.com/Simplistix/testfixtures
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-testfixtures.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-testfixtures.git
-
-
-Package: python-testfixtures
-Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends}
-Suggests: python-testfixtures-doc (= ${binary:Version})
-Description: Collection of helpers and mock objects (Python2 version)
- TestFixtures is a collection of helpers and mock objects that are useful when
- writing unit tests or doc tests. It includes tools for a wide range of tasks:
- .
-  * Comparing objects and sequences
-  * Mocking out objects and methods
-  * Mocking dates and times
-  * Testing logging
-  * Testing output to streams
-  * Testing with files and directories
-  * Testing exceptions
-  * Testing warnings
-  * Testing use of the subprocess package
-  * Testing with zope.component
- .
- This package contains the Python 2 version of the library.
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-testfixtures
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-testfixtures.git
+Testsuite: autopkgtest-pkg-python
 
 
 Package: python3-testfixtures

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=testfixtures
export PYBUILD_BEFORE_TEST=cp -r docs {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} /usr/bin/zope-testrunner3 --path={build_dir} testfixtures"

override_dh_clean:
	rm -rf docs/.build
	dh_clean

override_dh_installdocs:
	dh_installdocs -ppython-testfixtures-doc --doc-main-package=python3-testfixtures
	dh_installdocs --remaining-packages

## python-testfixtures 6.10.1

=== debian/changelog ===
python-testfixtures (6.10.1-1) unstable; urgency=medium

  * Team upload.

  [ Michael Fladischer ]
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.4.1.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Add debian/gbp.conf.

  [ Andrey Rahmatullin ]
  * New upstream version.
  * Remove external image links from README.rst.
  * Add Built-Using: ${sphinxdoc:Built-Using}.
  * Add Rules-Requires-Root: no.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 13 Nov 2019 20:15:05 +0500

=== debian/control ===
Source: python-testfixtures
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-django,
 python3-doc,
 python3-mock,
 python3-nose,
 python3-pkginfo,
 python3-pytest,
 python3-pytest-django (>= 3.3.0),
 python3-setuptools,
 python3-sphinx,
 python3-sybil,
 python3-twisted,
 python3-zope.component,
Standards-Version: 4.4.1
Homepage: https://github.com/Simplistix/testfixtures
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-testfixtures
Vcs-Git: https://salsa.debian.org/python-team/modules/python-testfixtures.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-testfixtures-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using}
Description: Collection of helpers and mock objects (Documentation)
 TestFixtures is a collection of helpers and mock objects that are useful when
 writing unit tests or doc tests. It includes tools for a wide range of tasks:
 .
  * Comparing objects and sequences
  * Mocking out objects and methods
  * Mocking dates and times
  * Testing logging
  * Testing output to streams
  * Testing with files and directories
  * Testing exceptions
  * Testing warnings
  * Testing use of the subprocess package
  * Testing with zope.component
 .
 This package contains the documentation.

Package: python3-testfixtures
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-testfixtures-doc (= ${binary:Version}),
Description: Collection of helpers and mock objects (Python3 version)
 TestFixtures is a collection of helpers and mock objects that are useful when
 writing unit tests or doc tests. It includes tools for a wide range of tasks:
 .
  * Comparing objects and sequences
  * Mocking out objects and methods
  * Mocking dates and times
  * Testing logging
  * Testing output to streams
  * Testing with files and directories
  * Testing exceptions
  * Testing warnings
  * Testing use of the subprocess package
  * Testing with zope.component
 .
 This package contains the Python 3 version of the library.

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-testfixtures-$1/ \
https://github.com/Simplistix/testfixtures/releases \
/Simplistix/testfixtures/archive/([\d\.]+)\.tar\.gz

## python-testfixtures 6.14.1

=== debian/changelog ===
python-testfixtures (6.14.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andrey Rahmatullin ]
  * New upstream version.
  * Add an upstream fix for Python 3.8.3 (Closes: #963369).

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 29 Jun 2020 21:07:55 +0500

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-sybil,
  python3-twisted,
  python3-zope.component,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/Simplistix/testfixtures
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-testfixtures
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-testfixtures.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=testfixtures
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html

override_dh_clean:
	rm -rf docs/.build
	dh_clean

override_dh_installdocs:
	dh_installdocs -ppython-testfixtures-doc --doc-main-package=python3-testfixtures
	dh_installdocs --remaining-packages

## python-testfixtures 6.18.3

=== debian/changelog ===
python-testfixtures (6.18.3-2) unstable; urgency=medium

  * Team upload.
  * Update d/watch.
  * Fix test errors on Python 3.10.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 01 Dec 2021 22:12:52 +0500

python-testfixtures (6.18.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Update the upstream URL in d/{control,copyright,watch}.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 09 Oct 2021 21:30:53 +0500

python-testfixtures (6.18.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andrey Rahmatullin ]
  * New upstream version.
  * Drop B-D: python3-mock (Closes: #980138).
  * Drop no longer needed B-D: python3-nose.
  * Update the URL pattern in debian/watch.
  * Bump Standards-Version to 4.6.0.
  * Bump the debhelper compat level to 13.
  * Also run docs tests at the build time.
  * Add autopkgtests.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 20 Aug 2021 12:21:26 +0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: python-testfixtures
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-django,
  python3-doc,
- python3-mock,
- python3-nose,
  python3-pkginfo,
  python3-pytest,
  python3-pytest-django (>= 3.3.0),
@@ -20,10 +18,10 @@
  python3-sybil,
  python3-twisted,
  python3-zope.component,
-Standards-Version: 4.5.0
-Homepage: https://github.com/Simplistix/testfixtures
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-testfixtures
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-testfixtures.git
+Standards-Version: 4.6.0
+Homepage: https://github.com/simplistix/testfixtures
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-testfixtures
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-testfixtures.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-testfixtures,
 python3-all,
 python3-pytest,
 python3-django,
 python3-pytest-django,
 python3-sybil,
 python3-twisted,
 python3-zope.component,

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-testfixtures-$1/ \
https://github.com/simplistix/testfixtures/tags \
/simplistix/testfixtures/archive.*/([\d\.]+)\.tar\.gz

## python-testfixtures 6.18.5

=== debian/changelog ===
python-testfixtures (6.18.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 16 Mar 2022 21:52:50 +0500

## python-testfixtures 7.0.4

=== debian/changelog ===
python-testfixtures (7.0.4-1) unstable; urgency=low

  * New upstream release.
  * Remove Built-Using from python-testfixtures-doc because it is
    Archtitecture: all.
  * Update d/copyright with new years.
  * Use uscan version 4.

 -- Michael Fladischer <fladi@debian.org>  Sat, 07 Jan 2023 16:39:55 +0000

python-testfixtures (7.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Add M-A: foreign to python-testfixtures-doc.

  [ Andrey Rahmatullin ]
  * Upload to unstable.
  * Bump Standards-Version to 4.6.1.
  * Fix Django and docs autopkgtests.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 22 Oct 2022 13:34:29 +0500

python-testfixtures (7.0.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * Upload to experimental.
  * New upstream version.
  * Fix objects.inv paths and fix/update B-D for them.
  * Roll back the docs theme as furo is not in Debian.
  * Replace py3versions -r with py3versions -s in the autopkgtest.
  * Bump the python3-sybil B-D and autopkgtest dep versions to 3.0.0.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 20 Aug 2022 22:04:41 +0500

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ python-django-doc,
+ python-pytest-doc,
+ python-sybil-doc,
  python3-all,
  python3-django,
  python3-doc,
@@ -15,10 +18,10 @@
  python3-pytest-django (>= 3.3.0),
  python3-setuptools,
  python3-sphinx,
- python3-sybil,
+ python3-sybil (>= 3.0.0),
  python3-twisted,
  python3-zope.component,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/simplistix/testfixtures
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-testfixtures
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-testfixtures.git
@@ -31,7 +34,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
-Built-Using: ${sphinxdoc:Built-Using}
+Multi-Arch: foreign
 Description: Collection of helpers and mock objects (Documentation)
  TestFixtures is a collection of helpers and mock objects that are useful when
  writing unit tests or doc tests. It includes tools for a wide range of tasks:

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 export PYBUILD_NAME=testfixtures
 export PYBUILD_TEST_PYTEST=1
+export PYBUILD_TEST_ARGS=--ignore docs/.build
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## python-testfixtures 7.1.0

=== debian/changelog ===
python-testfixtures (7.1.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 15 Jun 2023 21:55:16 +0400

python-testfixtures (7.1.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * Upload to experimental.
  * New upstream version.
  * Add upstream patches for python3-sybil 5.0.2 compatibility.
  * Use ${sphinxdoc:Built-Using}.
  * Bump Standards-Version to 4.6.2.
  * Switch to B-D: dh-sequence-*.
  * Skip building docs in the nodoc profile.
  * Annotate B-D with build profiles.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 28 May 2023 19:44:52 +0400

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,24 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
  dh-python,
- python-django-doc,
- python-pytest-doc,
- python-sybil-doc,
+ python-django-doc <!nodoc>,
+ python-pytest-doc <!nodoc>,
+ python-sybil-doc <!nodoc>,
  python3-all,
- python3-django,
- python3-doc,
- python3-pkginfo,
- python3-pytest,
- python3-pytest-django (>= 3.3.0),
+ python3-django <!nocheck> <!nodoc>,
+ python3-doc <!nodoc>,
+ python3-pkginfo <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-django (>= 3.3.0) <!nocheck>,
  python3-setuptools,
- python3-sphinx,
- python3-sybil (>= 3.0.0),
- python3-twisted,
- python3-zope.component,
-Standards-Version: 4.6.1
+ python3-sphinx <!nodoc>,
+ python3-sybil (>= 3.0.0) <!nocheck> <!nodoc>,
+ python3-twisted <!nocheck> <!nodoc>,
+ python3-zope.component <!nocheck> <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://github.com/simplistix/testfixtures
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-testfixtures
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-testfixtures.git
@@ -34,6 +36,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Built-Using: ${sphinxdoc:Built-Using}
 Multi-Arch: foreign
 Description: Collection of helpers and mock objects (Documentation)
  TestFixtures is a collection of helpers and mock objects that are useful when

## python-testfixtures 8.1.0

=== debian/changelog ===
python-testfixtures (8.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Remove B-D: python3-zope.component, bump the minimum version for
    B-D: python3-sybil to 6.0.0.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 02 Mar 2024 10:29:43 +0500

python-testfixtures (7.2.2-2) unstable; urgency=medium

  * Team upload.
  * Fix tests on Python 3.12 (Closes: #1056507, 1058356).

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 12 Dec 2023 23:39:16 +0400

python-testfixtures (7.2.2-1) unstable; urgency=medium

  * New upstream version 7.2.2
  * Refresh patches.
  * Drop Built-Using field on python-testfixtures-doc package.
  * Build using pybuild-plugin-pyproject.
  * Install pytest.ini using d/pybuild.testfiles.

 -- Michael Fladischer <fladi@debian.org>  Sat, 28 Oct 2023 14:31:07 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  dh-python,
+ pybuild-plugin-pyproject,
  python-django-doc <!nodoc>,
  python-pytest-doc <!nodoc>,
  python-sybil-doc <!nodoc>,
@@ -20,9 +21,8 @@
  python3-pytest-django (>= 3.3.0) <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
- python3-sybil (>= 3.0.0) <!nocheck> <!nodoc>,
+ python3-sybil (>= 6.0.0) <!nocheck> <!nodoc>,
  python3-twisted <!nocheck> <!nodoc>,
- python3-zope.component <!nocheck> <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://github.com/simplistix/testfixtures
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-testfixtures
@@ -36,7 +36,6 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
-Built-Using: ${sphinxdoc:Built-Using}
 Multi-Arch: foreign
 Description: Collection of helpers and mock objects (Documentation)
  TestFixtures is a collection of helpers and mock objects that are useful when

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,6 @@
  python3-pytest,
  python3-django,
  python3-pytest-django,
- python3-sybil,
+ python3-sybil (>= 3.0.0),
  python3-twisted,
  python3-zope.component,

## python-testfixtures 8.3.0

=== debian/changelog ===
python-testfixtures (8.3.0-2) unstable; urgency=medium

  * Team upload.
  * Add support for Python 3.13 (closes: #1082272).

 -- Colin Watson <cjwatson@debian.org>  Fri, 08 Nov 2024 10:14:04 +0000

python-testfixtures (8.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 15 Jun 2024 23:27:16 +0500

python-testfixtures (8.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Re-enable the furo theme, add B-D: furo.
  * Bump Standards-Version to 4.7.0.
  * Fix the sybil objects.inv path.
  * Use ${sphinxdoc:Built-Using}.
  * Fix running tests for docs at the build time.
  * Apply the B-D changes from 8.1.0-1 to the autopkgtests.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 05 May 2024 17:01:48 +0500

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  dh-python,
+ furo <!nodoc>,
  pybuild-plugin-pyproject,
  python-django-doc <!nodoc>,
  python-pytest-doc <!nodoc>,
@@ -23,7 +24,7 @@
  python3-sphinx <!nodoc>,
  python3-sybil (>= 6.0.0) <!nocheck> <!nodoc>,
  python3-twisted <!nocheck> <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/simplistix/testfixtures
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-testfixtures
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-testfixtures.git
@@ -36,6 +37,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Built-Using: ${sphinxdoc:Built-Using}
 Multi-Arch: foreign
 Description: Collection of helpers and mock objects (Documentation)
  TestFixtures is a collection of helpers and mock objects that are useful when

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-testfixtures-$1/ \
https://github.com/simplistix/testfixtures/tags \
/simplistix/testfixtures/archive.*/([\d\.]+)\.tar\.gz

## python-testfixtures 9.1.0

=== debian/changelog ===
python-testfixtures (9.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 20 Aug 2025 00:16:26 +0100

## python-testfixtures 9.2.0

=== debian/changelog ===
python-testfixtures (9.2.0-1) unstable; urgency=low

  * New upstream version 9.2.0
  * Refresh patches.
  * Bump Standards-Version to 4.7.2.
  * Drop Rules-Requires-Root.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Fri, 17 Oct 2025 17:16:54 +0000

=== debian/control ===
--- 
+++ 
@@ -24,12 +24,11 @@
  python3-sphinx <!nodoc>,
  python3-sybil (>= 6.0.0) <!nocheck> <!nodoc>,
  python3-twisted <!nocheck> <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/simplistix/testfixtures
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-testfixtures
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-testfixtures.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python-testfixtures-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,13 @@
 export PYBUILD_TEST_ARGS=--ignore docs/.build
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
+ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
+endif
 
 override_dh_clean:
 	rm -rf docs/.build

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-testfixtures,
 python3-all,
 python3-pytest,
 python3-django,
 python3-pytest-django,
 python3-sybil (>= 6.0.0),
 python3-twisted,

=== debian/watch ===
version=5
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-testfixtures-$1/ \
https://github.com/simplistix/testfixtures/tags \
/simplistix/testfixtures/archive.*/([\d\.]+)\.tar\.gz
